Subject: Re: [TR] Portable Garages

From: Brian Kemp <[email-masked]>
Date: Wed, 25 Feb 2026 20:45:15 +0000

As a quick cheap fix, can you attach a tarp to the house and slope it down to a fence or some posts on the other side of the car?  I would keep it about a foot above the car to minimize wind driven rain from the sides.  I'm thinking you might want to leave the ends open so the moisture will dissipate. 

I would use a heavier duty tarp, not a cheap blue one.  

Brian

-----Original Message-----
From: William Brewer <[email-masked]>
Sent: Feb 25, 2026 12:10 PM
To: Triumph List <[email-masked]>
Subject: [TR] Portable Garages

Hi List,

     So I live about 200 feet off of the beach. My Morgan has fared okay protected in my garage. Now I have my TR3 over and so I had my Morgan parked on the side of my house under a new Sealskin waterproof car cover. I had it under a cover for a month during recent heavy rains. The cover wasn't as waterproof as I had hoped and the car was drenched and rust had sprouted out of places where there wasn't rust before being put under the cover. I have rented space in a warehouse for $160 a month and will keep one of my cars there and will alternate cars every couple of weeks. Hopefully, I can come up with a better solution before this gets too expensive.

     I have a side yard on my house with just enough space to park a TR or Morgan. I have been looking for some sort of outdoor enclosure to keep them dry and protected. A 6 by 15 foot enclosure would be ideal. I have been working on designs and it will cost a bunch and take a while to come up with something, so the warehouse buys me time. It can't be a permanent structure because of building ordinances.

     Anyone have ideas for a solution?

     -Bill Brewer

     Morro Bay, CA

** [email-masked] **

Archive:  http://www.team.net/archive (http://www.team.net/pipermail/triumphs)

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive